<?php
/**
 * Created by PhpStorm.
 * User: bmb369
 * Date: 2024-05-07
 * Time: 14:20
 */
namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletes;

class AdminUserModel extends Base {

    protected $table = 'gz_admin_user';
     use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $primaryKey = 'id';


    public function getInfo($id)
    {
        
        $data = $this->select($this->table.'.'.'*')
        ->where([$this->table.'.id'=>$id])
        ->first();

        if (empty($data)) {
            return [];
        } else {
            return $data->toArray();
        }
         
    }
    

}